Differences

This shows you the differences between two versions of the page.

Link to this comparison view

Both sides previous revision Previous revision
litespeed_wiki:admin:lsup [2019/04/10 14:22]
Lisa Clarke [Options]
litespeed_wiki:admin:lsup [2019/04/10 16:15] (current)
Lisa Clarke [Stable Tier vs. Edge Tier]
Line 40: Line 40:
   * If a particular version is forced, such as with ''​lsup.sh -f -v <​version>'',​ the ''​lsup.sh''​ command without parameters will stop following the Stable Tier, and will do nothing. ​   * If a particular version is forced, such as with ''​lsup.sh -f -v <​version>'',​ the ''​lsup.sh''​ command without parameters will stop following the Stable Tier, and will do nothing. ​
   * To start following the Stable Tier again, you can manually create a ''​follow_stable''​ marker by running ''​touch /​usr/​local/​lsws/​autoupdate/​follow_stable''​.   * To start following the Stable Tier again, you can manually create a ''​follow_stable''​ marker by running ''​touch /​usr/​local/​lsws/​autoupdate/​follow_stable''​.
-  * Why is ''​follow_stable''​ important? When you try to install ​a test build/​debug ​build, or downgrade to an older version, you certainly do not want ''​lsup.sh''​ in your daily cron job to change the version to the Stable Tier automatically during the test. In these situations, unsetting ''​follow_stable''​ will make ''​lsup.sh''​ do nothing in a cron job. +  * Why is ''​follow_stable''​ important? When you install ​an edge build, or downgrade to an older version, you certainly do not want ''​lsup.sh''​ in your daily cron job to change the version to the Stable Tier automatically during the test. In these situations, unsetting ''​follow_stable''​ will make ''​lsup.sh''​ do nothing in a cron job. 
   * Please be aware that the new powerful Stable/Edge Tier system is only available in ''​lsup.sh''​ for version 5.3.7 build 4 and later. If you force a downgrade to an earlier version/​build,​ it will not have the above feature.   * Please be aware that the new powerful Stable/Edge Tier system is only available in ''​lsup.sh''​ for version 5.3.7 build 4 and later. If you force a downgrade to an earlier version/​build,​ it will not have the above feature.
  
  
  • Admin
  • Last modified: 2019/04/10 16:15
  • by Lisa Clarke